Subject: bug#61667: 29.0.60; Failure to redisplay

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Feb 2023 08:06:44 +0200

> Date: Sun, 26 Feb 2023 02:56:32 +0200
> Cc: Po Lu <[email-masked]>, [email-masked],
>  Eli Zaretskii <[email-masked]>
> From: Dmitry Gutov <[email-masked]>
> 
> On 26/02/2023 02:41, Gregory Heytings wrote:
> > I think it's now clear that there is a bug in GNOME.  The main 
> > difference between running fullscreen and non-fullscreen in this context 
> > is that the compositor is bypassed.  This is mainly for (fullscreen) 
> > games, who have direct access to the screen, which is more performant.
> 
> Again, when reproduction depends on Emacs changing the title bar, 
> running it in a mode without the title bar might not be the best way to 
> verify something.

Didn't you say that the delay exists regardless of the title issue,
and that the title issue just makes the delay easier to spot?  Or what
am I missing?